Package org.springframework.security.access.intercept

# Class InterceptorStatusToken

java.lang.Object
org.springframework.security.access.intercept.InterceptorStatusToken

@Deprecated public class InterceptorStatusToken extends Object
Deprecated.
Use delegation with `AuthorizationManager`
A return object received by `AbstractSecurityInterceptor` subclasses.

This class reflects the status of the security interception, so that the final call to `AbstractSecurityInterceptor.afterInvocation(InterceptorStatusToken, Object)` can tidy up correctly.

See Also:
  - `AuthorizationManagerBeforeMethodInterceptor`
  - `AuthorizationManagerAfterMethodInterceptor`

## Constructor Summary

Constructors
Constructor
Description
`InterceptorStatusToken(SecurityContext securityContext, boolean contextHolderRefreshRequired, Collection<ConfigAttribute> attributes, Object secureObject)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Collection<ConfigAttribute>`
`getAttributes()`
Deprecated.
`Object`
`getSecureObject()`
Deprecated.
`SecurityContext`
`getSecurityContext()`
Deprecated.
`boolean`
`isContextHolderRefreshRequired()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorStatusToken

public InterceptorStatusToken(SecurityContext securityContext, boolean contextHolderRefreshRequired, Collection<ConfigAttribute> attributes, Object secureObject)
Deprecated.

## Method Details

### getAttributes

public Collection<ConfigAttribute> getAttributes()
Deprecated.

### getSecurityContext

public SecurityContext getSecurityContext()
Deprecated.

### getSecureObject

public Object getSecureObject()
Deprecated.

### isContextHolderRefreshRequired

public boolean isContextHolderRefreshRequired()
Deprecated.